/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	Catalog 環境クラス
//			新規作成
//				2004.01.08 新規作成 kin
//ADD 2005/02/15 START Katsuhiko Kagami(UNITEC) [LO購入]
//          LO購入対応
//              2005.02.15 LO購入対応 Katsuhiko Kagami(UNITEC)
//ADD 2005/02/15 END Katsuhiko Kagami(UNITEC) [LO購入]
//
package jp.co.ntt.lms.lo.Catalog;

import java.util.*;
import java.io.*;
import jp.co.ntt.lms.lo.*;
import jp.co.ntt.lms.xmo.util.*;
//ADD 2005/02/15 START Katsuhiko Kagami(UNITEC) [LO購入]
import jp.co.ntt.lms.xmo.Environment;
//ADD 2005/02/15 END Katsuhiko Kagami(UNITEC) [LO購入]

public class CatalogLoEnv extends LoEnvironment{

	private static final String mstrFileName = "/conf/lo/Catalog.ini";

	/** プロパティファイルを保持します */
	private static Properties objProperty = null;

	// プロパティ定義
	/** 登録メニューURLパス */
	public static final String INSERT_MENU_URL = "insert_menu_url";
	/** 更新メニューURLパス */
	public static final String UPDATE_MENU_URL = "update_menu_url";
	/** 削除メニューURLパス */
	public static final String DELETE_MENU_URL = "delete_menu_url";

	/** 受講申請の有効期間(cookieの有効期間) 単位：日 フォルダパス */
	public static final String EXPIRES = "Expires";
	/** カタログLO起動URL フォルダパス */
	public static final String LAUNCH_URL = "launch_url";
	//050211 ADD Start s-mori
	/** カタログ関連起動Dir パス */
	public static final String LAUNCH_DIR = "launch_dir";
	// 050211 ADD End
	/** 承認依頼メール送信処理用URLフォルダパス */
	public static final String ASSIGN_RQ_MAIL_URL = "assign_rq_mail_url";
//	ADD 2005/02/15 START Katsuhiko Kagami(UNITEC) [LO購入]
	/** 購入申請メールテンプレートのファイルパス */
	public static final String ASSIGN_BUY_RQ_MAIL_TEMP_PATH = "assign_buy_rq_mail_temp_path";
//	ADD 2005/02/15 END Katsuhiko Kagami(UNITEC) [LO購入]
	/** 承認URLフォルダパス */
	public static final String ASSIGN_OK_MAIL_URL = "assign_ok_mail_url";
	/** 否認URLフォルダパス */
	public static final String ASSIGN_NG_MAIL_URL = "assign_ng_mail_url";
	/** 承認依頼メールテンプレートのファイルパス */
	public static final String ASSIGN_RQ_MAIL_TEMP_PATH = "assign_rq_mail_temp_path";
	/** 承認通知メールテンプレートのファイルパス */
	public static final String ASSIGN_OK_MAIL_TEMP_PATH = "assign_ok_mail_temp_path";
	/** 否認通知メールテンプレートのファイルパス */
	public static final String ASSIGN_NG_MAIL_TEMP_PATH = "assign_ng_mail_temp_path";


	/**
	 * コンストラクタです
	 * @exception LOException
	 */
	public CatalogLoEnv()
		throws LOException
	{
		super();
		// クラス単位の排他処理を行う。
		synchronized( this.getClass() ) {
			//	環境情報の初期化が行われていない時のみ
			//	環境ファイルを読み込む
			if( objProperty == null ) {
				objProperty = loadProperty(mstrFileName);
			}
		}
	}

	/**
	 * 評価ウィンドウオープンフラグを取得します
	 *
	 * @return String 評価ウィンドウオープンフラグ
	 */
	public String getEstimation()
		throws LOException
	{
		return getProperty(ESTIMATION, objProperty);
	}


	/**
	 * CatalogLo登録メニューURLを取得します
	 *
	 * @return String 登録メニューURL
	 * @exception LOException LO固有の例外エラー
	 */
	public String getInsertMenuURL()
		throws LOException
	{
		try
		{
			return getProperty(INSERT_MENU_URL, objProperty);
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * CatalogLo更新メニューURLを取得します
	 *
	 * @return String 更新メニューURL
	 * @exception LOException LO固有の例外エラー
	 */
	public String getUpdateMenuURL()
		throws LOException
	{
		try
		{
			return getProperty(UPDATE_MENU_URL, objProperty);
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * CatalogLo削除メニューURLを取得します
	 *
	 * @return String 削除メニューURL
	 * @exception LOException LO固有の例外エラー
	 */
	public String getDeleteMenuURL()
		throws LOException
	{
		try
		{
			return getProperty(DELETE_MENU_URL, objProperty);
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * 受講申請の有効期間(cookieの有効期間) 単位：日 を取得します
	 *
	 * @return String 有効期間
	 * @exception LOException LO固有の例外エラー
	 */
	public String getExpires()
		throws LOException
	{
		try
		{
			String strExpires = getProperty(EXPIRES, objProperty);
			return strExpires;
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * カタログLO起動URLを取得する
	 *
	 * @return String カタログLO起動URL
	 * @exception LOException LO固有の例外エラー
	 */
	public String getLaunch_URL()
		throws LOException
	{
		try
		{
			return getProperty(LAUNCH_URL, objProperty);
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}

	// 20050211 ADD Start s-mori
	/**
	 * カタログ関連起動ディレクトリを取得する
	 *
	 * @return String カタログ関連起動ディレクトリ
	 * @exception LOException LO固有の例外エラー
	 */
	public String getLaunch_dir()
		throws LOException
	{
		try
		{
			return getProperty(LAUNCH_DIR, objProperty);
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}
	
	// 20050211 ADD End
	
	
	/**
	 * 承認依頼メール送信処理用URLを取得する
	 *
	 * @return String 承認依頼メール送信処理用URL
	 * @exception LOException LO固有の例外エラー
	 */
	public String getAssign_rq_mail_url()
		throws LOException
	{
		try
		{
			String strAssign_rq_mail_url = getProperty(ASSIGN_RQ_MAIL_URL, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( mobjEnv.SYSTEM_URL, mobjEnv.getSystemURL() );
			strAssign_rq_mail_url = expand( strAssign_rq_mail_url , htbMacro );
			return strAssign_rq_mail_url ;
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * 承認URLを取得する
	 *
	 * @return String 承認URL
	 * @exception LOException LO固有の例外エラー
	 */
	public String getAssign_ok_mail_url()
		throws LOException
	{
		try
		{
			String strAssign_ok_mail_url = getProperty(ASSIGN_OK_MAIL_URL, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( mobjEnv.SYSTEM_URL, mobjEnv.getSystemURL() );
			strAssign_ok_mail_url = expand( strAssign_ok_mail_url , htbMacro );
			return strAssign_ok_mail_url ;
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * 否認URLを取得する
	 *
	 * @return String 否認URL
	 * @exception LOException LO固有の例外エラー
	 */
	public String getAssign_ng_mail_url()
		throws LOException
	{
		try
		{
			String strAssign_ng_mail_url = getProperty(ASSIGN_NG_MAIL_URL, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( mobjEnv.SYSTEM_URL, mobjEnv.getSystemURL() );
			strAssign_ng_mail_url = expand( strAssign_ng_mail_url , htbMacro );
			return strAssign_ng_mail_url;
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * 承認依頼メールテンプレートを取得する
	 *
	 * @return String 承認依頼メールテンプレート
	 * @exception LOException LO固有の例外エラー
	 */
	public String getAssign_rq_mail_temp_path()
		throws LOException
	{
		try
		{
			String strAssign_rq_mail_temp_path = getProperty(ASSIGN_RQ_MAIL_TEMP_PATH, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( mobjEnv.SYSTEM_DIR, mobjEnv.getSystemDir() );
			strAssign_rq_mail_temp_path = expand( strAssign_rq_mail_temp_path , htbMacro );
			return strAssign_rq_mail_temp_path ;

		}
		catch(Exception e)
		{
			throw new LOException(e.getMessage());
		}
	}
	
//	ADD 2005/02/15 START Katsuhiko Kagami(UNITEC) [LO購入]
	/**
	 * 購入申請要求メールテンプレートを取得します。
	 *
	 * @return String 購入依頼メールテンプレート
	 * @exception LOException LO固有の例外エラー
	 */
	public String getAssign_buy_rq_mail_temp_path()
		throws LOException
	{
		try
		{
			String strAssign_rq_mail_temp_path = getProperty(ASSIGN_BUY_RQ_MAIL_TEMP_PATH, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( Environment.SYSTEM_DIR, mobjEnv.getSystemDir() );
			strAssign_rq_mail_temp_path = expand( strAssign_rq_mail_temp_path , htbMacro );
			return strAssign_rq_mail_temp_path ;

		}
		catch(Exception e)
		{
			throw new LOException(e.getMessage());
		}
	}
//	ADD 2005/02/15 END Katsuhiko Kagami(UNITEC) [LO購入]


	/**
	 * 承認通知メールテンプレートを取得する
	 *
	 * @return String 承認通知メールテンプレート
	 * @exception LOException LO固有の例外エラー
	 */
	public String getAssign_ok_mail_temp_path()
		throws LOException
	{
		try
		{
			String strAssign_ok_mail_temp_path = getProperty(ASSIGN_OK_MAIL_TEMP_PATH, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( mobjEnv.SYSTEM_DIR, mobjEnv.getSystemDir() );
			strAssign_ok_mail_temp_path = expand( strAssign_ok_mail_temp_path , htbMacro );
			return strAssign_ok_mail_temp_path ;

		}
		catch(Exception e)
		{
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * 否認通知メールテンプレートを取得する
	 *
	 * @return String 否認通知メールテンプレート
	 * @exception LOException LO固有の例外エラー
	 */
	public String getAssign_ng_mail_temp_path()
		throws LOException
	{
		try
		{
			String strAssign_ng_mail_temp_path = getProperty(ASSIGN_NG_MAIL_TEMP_PATH, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( mobjEnv.SYSTEM_DIR, mobjEnv.getSystemDir() );
			strAssign_ng_mail_temp_path = expand( strAssign_ng_mail_temp_path , htbMacro );
			return strAssign_ng_mail_temp_path ;

		}
		catch(Exception e)
		{
			throw new LOException(e.getMessage());
		}
	}


	/**
	 * 学習画面のウィンドウサイズ(縦)を取得します
	 *
	 * @return String 学習画面のウィンドウサイズ(縦)
	 */
	public String getWinHeight()
		throws LOException
	{
		return getProperty(WIN_HEIGHT, objProperty);
	}

	/**
	 * 学習画面のウィンドウサイズ(横)を取得します
	 *
	 * @return String 学習画面のウィンドウサイズ(横)
	 */
	public String getWinWidth()
		throws LOException
	{
		return getProperty(WIN_WIDTH, objProperty);
	}


}
